snexpire,v0.3.8(8)

NAME
snexpire - expire news under the sn system.

SYNOPSIS
snexpire [-v] [-exp] newsgroup [[-exp] newsgroup]...

DESCRIPTION
snexpire expires news in the sn news system, one article file (=10 articles, compile time default) at a time. snexpire always leaves behind at least one article file, so that newly entered articles will have numbers not overlapping previously used numbers. As an exception if the expiration age is set to 0, then even this last file will be expired and subsequent article numbers will start from the beginning. You will need to be root or own /var/spool/sn to run snexpire.

OPTIONS
-v Output a line for each article expired. The format of this line is the same as for snscan.

ARGUMENTS
snexpire expires all newsgroups named on the command line. Each newsgroup may be preceded by -exp to control the expiration age. exp is of the form #[hdwmy] where # is a number, followed by one of the characters h,d,w,m,y representing hours, days, weeks, months and years. The default for -exp is a compile-time fixed. Each [-exp] applies to the next newsgroup only, any newsgroups after that one get default treatment unless overridden by another [-exp].

FILES MODIFIED
/var/spool/sn/newsgroup/.times, /var/spool/sn/newsgroup/[0123456789]*, /var/spool/sn/{.chain,.table}.

ENVIRONMENT VARIABLES

SNROOT
    If this is set and is not empty, the value is used in place of /var/spool/sn, the default news spool directory.

FILES

/var/spool/sn/newsgroup/.expire
    If this exists, its contents are taken to be exp if not overridden by -exp on the command line.